function editseccion(mod,campo,accion,vdatos){
	accion="e"
	url="modulo="+mod;
	url+="&accion="+accion;
	var jSondet=document.getElementsByClassName(campo);
	console.log(jSondet)
	nTam=jSondet.length;
	var cadcampos="";
	var caddatos="";
	z=0
	for(var i=0;i<nTam;i++){
		nCampo=jSondet[i].name
		vCampo=jSondet[i].value
		vchk=nCampo.search('chk')
		if(vchk>=0){
			vCampo=0
			if(jSondet[i].checked==true){
				vCampo=1
			}
		}
		if(vdatos.search(nCampo)>=0){//validar que dato se puede editar
			if(z!=0){cadcampos+=",";caddatos+=","}
				zCampo="c"+z.toString()
				caddatos+='"'+nCampo+'":'+'"'+vCampo+'"';
				cadcampos+='"'+zCampo+'":'+'"'+nCampo+'"';
				z++;
		}
	}
	caddatos="{"+caddatos+"}"
	cadcampos="{"+cadcampos+"}"
	caddatos=env_textos(caddatos);
	url+="&Id="+campo;
	url+="&jsondatos="+caddatos;
	url+="&jsoncampos="+cadcampos;
	url+="&j="+z;
	url+="&codemp="+VGempresa;
	url+="&usuario="+localStorage.getItem('Usuario');
	console.log(caddatos);
	console.log(url);
	var Rpage =VGRutaRiz+"controllers/editsecciones/"
	doAjax(Rpage,url,'resp_registro_editado','post','0','Ccargar');
}
function resp_registro_editado(ResTex){
	console.log(ResTex)
}


function emodulo(nMod,tCampo,campo,accion,nTam,cIni,cFin,tipo) {
	dSw=0
	if(accion!="g"){
		hide_search_list();
	}
	if(sessionStorage.hasOwnProperty("accion")){
		sessionStorage.removeItem("accion")
	}
	sessionStorage.setItem("accion",accion)
	
	DetalleB="";
	tAcc=accion;
	if(tAcc=="v"){
		alert("Esta presentación no admite la acción guardar");
		return;
	}
	tId=campo;
	url="modulo="+nMod;
	url+="&tipo="+"l";
	url+="&accion="+accion;
	url+="&codemp="+VGempresa;
	console.log(accion)
	document.getElementById("lderecho").innerHTML="";
	var Rpage =VGRutaRiz+"controllers/modulos/"
	doAjax(Rpage,url,'e_resp_cmodulos_list','gets','0','Ccargar','');
}

function e_resp_cmodulos_list(ResTex) {
	console.log(ResTex);
	Detalle="<div id='detcuerpo' class='detcuerpo'>";
	DetalleB="";
	DetalleM="";
	
	tMod="";
	vC="";
	vJfunciones='{"Datos":[{';
	var oJsonDatos = JSON.parse(ResTex);
	var nMod="",tCampo=0;
	if(oJsonDatos.Datos!="ERROR"){
	    if(ResTex.length>1){
			cad=oJsonDatos.Datos[0];
			console.log(Object.keys(cad));
			nMod=oJsonDatos.Datos[0].tabla.trim()
			
			DetalleT="<p>"+oJsonDatos.Datos[0].titmod.trim()+"</p>";
			
			DetalleM="<h4>"+oJsonDatos.Datos[0].titmod.trim()+"</h4><br>"
			tMod=oJsonDatos.Datos[0].nommod.trim();
			DetalleM+="<p>"+oJsonDatos.Datos[0].obsmod.trim()+"</p><br><p>Para Crear siga los siguientes pasos:</p><br>"
			JsonActividad=ResTex;
			var oJsonDatos = JSON.parse(JsonActividad);
	        var NJsonItem=oJsonDatos.Datos.length;
			vDiv=""
			iDet=0//para saber en que campo arranca el detalle
			swdet=0
			vCampo_padre=""//para cuando hay bloques que se arman con + de 1 campo
			for (RowArray=0;RowArray<NJsonItem; RowArray++){
				if(oJsonDatos.Datos[RowArray].inicio){swdet=1}
				tCampo=RowArray;
				vCampo="c"+RowArray.toString()
				if(oJsonDatos.Datos[RowArray].chkblq==1){
					vCampo_padre=vCampo
				}
				if(oJsonDatos.Datos[RowArray].chkblq==0){
					vCampo_padre=""
				}
				if(RowArray==0){
					Detalle+=oJsonDatos.Datos[RowArray].titulo+"<div id='"+oJsonDatos.Datos[RowArray].bloque+"' class='"+oJsonDatos.Datos[RowArray].clase+"'>"
					vDiv=oJsonDatos.Datos[RowArray].bloque.trim()
				}else{
					if(vDiv!=oJsonDatos.Datos[RowArray].bloque.trim()){
						if(vDiv=='bloquedet'){
							Detalle+='<a href="javascript:guardardetalle(\''+oJsonDatos.Datos[RowArray].nommod.trim()+'\',\''+iDet+'\',\''+(RowArray-1)+'\',\'c0\')">+ Agregar Item</a>';
							Detalle+="<div id='det_prod' class='form-msg'>...</div>"
						}
						
						Detalle+="</div>";
							nDiv=oJsonDatos.Datos[RowArray].bloque//nombre del div
							dPos=nDiv.search("_")//verificando para ponerle ajustable el div
							console.log(dPos)
							
							
							if(dPos>0){
								dTit=nDiv.substr(dPos,nDiv.length-dPos)
								dTit=dTit.replace('_',' ')
								Detalle+='<a href="javascript:extiende(\''+nDiv+'\')" class="title_div" > <h4 style="width:100%;">'+dTit+'</h4></a>'
							}else{
								dTit=""//nombre del div
							}
							Detalle+=oJsonDatos.Datos[RowArray].titulo+"<div id='"+nDiv+"' class='"+oJsonDatos.Datos[RowArray].clase+"'>"
							vDiv=nDiv.trim()
						
						
						//Detalle+="</div>";
						//Detalle+=oJsonDatos.Datos[RowArray].titulo+"<div id='"+oJsonDatos.Datos[RowArray].bloque+"' class='"+oJsonDatos.Datos[RowArray].clase+"'>"
						//vDiv=oJsonDatos.Datos[RowArray].bloque.trim()
					}
				}
					
				if(oJsonDatos.Datos[RowArray].chkblq==0 || oJsonDatos.Datos[RowArray].chkblq==1){//para campos noson del mismo bloque
				
					Detalle+="<div class='"+oJsonDatos.Datos[RowArray].nomdiv+"' id='"+oJsonDatos.Datos[RowArray].nombre.trim()+"'"
				
					if(oJsonDatos.Datos[RowArray].campoadi.trim()!=""){
						Detalle+=" title='"+oJsonDatos.Datos[RowArray].campoadi.trim()+"'"
					}
				
					if(oJsonDatos.Datos[RowArray].chkocu==1 && tAcc!="r"){
						Detalle+="' style='display: none' "
					}
				
					Detalle+=">";
				}
					
					
					
				if(oJsonDatos.Datos[RowArray].inicio.trim().length>3){Detalle+="<div id='buscador"+vCampo+"'></div>"}
					Detalle+=oJsonDatos.Datos[RowArray].htmlinicial.trim().replace('rrr',vCampo);
					if(oJsonDatos.Datos[RowArray].nomdiv.trim()=="drag-area"){
						Detalle+="<h2>Arrastra y suelta imagenes</h2>"
						Detalle+="<span>0</span>"
						Detalle+="<button>Selecciona tus archivos</button>"
					}else{
						cDescripcion=oJsonDatos.Datos[RowArray].descripcion;
						console.log(oJsonDatos.Datos[RowArray].funcionlabel);
						if(oJsonDatos.Datos[RowArray].chkblq==0 || oJsonDatos.Datos[RowArray].chkblq==1){//para campos noson del mismo bloque
						if(oJsonDatos.Datos[RowArray].foreti.trim()!=""){
							
							if(oJsonDatos.Datos[RowArray].etiini.trim()=="table"){
								Detalle+='<a href="javascript:crear(\''+oJsonDatos.Datos[RowArray].lost.trim()+'\')">'
							}
							Detalle+='<label for="'+oJsonDatos.Datos[RowArray].foreti.trim()+'"'+oJsonDatos.Datos[RowArray].funcionlabel.trim()+" class='labeledit' >"
							if(oJsonDatos.Datos[RowArray].description!=''){
								Detalle+=oJsonDatos.Datos[RowArray].description;
							}else{
								Detalle+=cDescripcion;
							}
							
							Detalle+="</label>"
							if(oJsonDatos.Datos[RowArray].etiini.trim()=="table"){
								Detalle+='</a>'
							}
						}else{
							if(oJsonDatos.Datos[RowArray].etiini.trim()=="table"){
								Detalle+='<a href="javascript:crear(\''+oJsonDatos.Datos[RowArray].lost.trim()+'\')">'
							}
							if(oJsonDatos.Datos[RowArray].nombre.substr(0,3)=='chk'){
							}else{
								if (oJsonDatos.Datos[RowArray].funcionlabel.length>=2){
									cFuncion=oJsonDatos.Datos[RowArray].funcionlabel.trim();
									if(oJsonDatos.Datos[RowArray].funcionlabel.includes("this")){
										cFuncion=cFuncion.replace("this",vCampo);
										console.log(cFuncion)
									}
										
									Detalle+='<a href="'+cFuncion+'" >'+cDescripcion+'</a>';
								}else{
									Detalle+="<label for='' class='labeledit' >"
									if(oJsonDatos.Datos[RowArray].description.length>=2){
										Detalle+=oJsonDatos.Datos[RowArray].description+"</label>";
									}else{
										Detalle+=cDescripcion+"</label>";
									}
								}
							}
							if(oJsonDatos.Datos[RowArray].etiini.trim()=="table"){
								Detalle+='</a>'
							}
						}
						}
					}
					Detalle+="<"+oJsonDatos.Datos[RowArray].etiini+" id='"+vCampo+"' name='"+oJsonDatos.Datos[RowArray].nombre+"'"; if(oJsonDatos.Datos[RowArray].etiini=='select' && oJsonDatos.Datos[RowArray].chkvar==1){Detalle+=" multiple"};
					if(oJsonDatos.Datos[RowArray].tipo=="int"){
						Detalle+=" pattern='^[0-9]+' min='0' onkeypress='comprueba(this)' "//valido que solo sea numeros positivos
					}
					
					
					
					if(oJsonDatos.Datos[RowArray].keypress!=""){
						Detalle+=" onkeypress='"+oJsonDatos.Datos[RowArray].keypress+"'"//Restringiendo caracteres indicados
					}
					if(oJsonDatos.Datos[RowArray].length!=0){
						Detalle+=" style='width:"+oJsonDatos.Datos[RowArray].length+"%'"
					}
					
					if(oJsonDatos.Datos[RowArray].funcion!=""){//para buscardor al escribir
						Detalle+=' onkeyup="buscador(\''+oJsonDatos.Datos[RowArray].funcion+'\',this,\''+oJsonDatos.Datos[RowArray].chknew+'\')" '//valido que solo sea numeros positivos
					}
					aReq=""
					aImg=""
					if(oJsonDatos.Datos[RowArray].nomdiv=='conte_foto'){
						aImg="archi_img"
					}
					if(oJsonDatos.Datos[RowArray].chkreq=="1" ){
						aReq+=" required "//valido que solo sea numeros positivos
					}
					if(vCampo_padre!='' && oJsonDatos.Datos[RowArray].chkblq==2){//Agregando a las clases para poder ubicarles y asignarles datos respectivos
						aReq+=" "+vCampo_padre+" "
					}
					if(oJsonDatos.Datos[RowArray].chktmp=="1" ){
						aReq+=" tmp "//para campos que no van a guardar
					}
					if(oJsonDatos.Datos[RowArray].etiini=="table" ){
						aReq+=" table "//para campos que no van a guardar
					}
					if(vDiv=="bloquedet"){
						Detalle+=" class='bloquedet "
						
						if(oJsonDatos.Datos[RowArray].chkblq==1){
							Detalle+=oJsonDatos.Datos[RowArray].funcion.trim()+" "
						}
						Detalle+=" "+aReq+" "+tMod+"' "
						
						if( iDet==0){
							iDet=RowArray;
						}
					}else{
						Detalle+="class='"
						if(oJsonDatos.Datos[RowArray].chkblq==1){//para llamar los que van buscar en local ejemplo ciudades
							Detalle+=oJsonDatos.Datos[RowArray].funcion.trim()+" local "
						}
						Detalle+=tMod
						
						if(oJsonDatos.Datos[RowArray].chkdet=="1"){
							Detalle+=" general "	
						}
						if(aReq!=''){
							Detalle+=" "+aReq
						}
						if(aImg!=''){
							Detalle+=" "+aImg
						}
						Detalle+="'"
					}
					
					if(oJsonDatos.Datos[RowArray].interactive.trim().length>3){
						Detalle+=oJsonDatos.Datos[RowArray].interactive.trim();
					}
					if(oJsonDatos.Datos[RowArray].inicio.trim().length>3){
						if(vJfunciones.length>12){vJfunciones+=",{";}
						vJfunciones+='"modulo":"'+oJsonDatos.Datos[RowArray].inicio.trim()+'",';
						vJfunciones+='"objeto":"'+vCampo+'",';
						
						if(oJsonDatos.Datos[RowArray].predeterminado.trim()!=""){
							vJfunciones+='"valor":"'+localStorage.getItem(oJsonDatos.Datos[RowArray].predeterminado.trim())+'",';
						}else{
							vJfunciones+='"valor":"",';
						}
						
						if(oJsonDatos.Datos[RowArray].condicion.trim()!=""){
							vJfunciones+='"condicion":"'+oJsonDatos.Datos[RowArray].condicion.trim()+'"';
						}else{
							vJfunciones+='"condicion":""';
						}
						//vJfunciones+=',"modalidad":"'+oJsonDatos.Datos[RowArray].chkimg.trim()+'"';
						if(oJsonDatos.Datos[RowArray].etiini.trim()=="table"){
							vJfunciones+=',"modalidad":"tb"';
						}else{
							vJfunciones+=',"modalidad":"'+oJsonDatos.Datos[RowArray].chkimg.trim()+'"';
						}
						
						
						vJfunciones+=',"lost":"'+oJsonDatos.Datos[RowArray].lost.trim()+'"';
						vJfunciones+='}';
					}else{
						if(oJsonDatos.Datos[RowArray].predeterminado.trim()!="" ){
							//&& (VGrol=='docente' || VGrol=='estudiante')
							vPred=oJsonDatos.Datos[RowArray].predeterminado.trim()
							if((vPred=='docente' || vPred=='estudiante') && VGrol!='docente' && VGrol!='estudiante'){
							}else{
								Detalle+=" value='"+localStorage.getItem(oJsonDatos.Datos[RowArray].predeterminado.trim())+"' "
							}
						}
					}
					if(oJsonDatos.Datos[RowArray].lost.trim()!=""){
						Detalle+=' onblur="'+oJsonDatos.Datos[RowArray].lost.trim()+'"'
					}
					
					
					if(VGrol=='docente' || VGrol=='estudiante' || oJsonDatos.Datos[RowArray].enabled==1){
						Detalle+=" disabled "
					}
						Detalle+=" >"
						
						if(oJsonDatos.Datos[RowArray].nombre.substr(0,3)=='chk'){
							Detalle+="<label for='"+vCampo+"'  >"
							if(oJsonDatos.Datos[RowArray].description.length>=2){
								Detalle+=oJsonDatos.Datos[RowArray].description+"</label>";
							}else{
								Detalle+=oJsonDatos.Datos[RowArray].descripcion+"</label>";
							}
						}

					DetalleM+=RowArray;
					if(oJsonDatos.Datos[RowArray].etiini=='select'){DetalleM+=") Seleccione: "
						}else{DetalleM+=") Digite: "}
					DetalleM+=oJsonDatos.Datos[RowArray].descripcion.trim()+"<br>"
					
					if(oJsonDatos.Datos[RowArray].extensiones.trim()!=""){
						Detalle+="<p> Extensiones permitidas: "+oJsonDatos.Datos[RowArray].extensiones+"</p>";	
						}
						Detalle+=oJsonDatos.Datos[RowArray].valorhtml.trim();	
					
					Detalle+="</"+oJsonDatos.Datos[RowArray].etifin+">";	
					Detalle+=oJsonDatos.Datos[RowArray].htmlfinal.trim().replace('rrr',vCampo);
				
					if(oJsonDatos.Datos[RowArray].chkblq==0 || oJsonDatos.Datos[RowArray].chkblq==2){
						Detalle+="</div>";
					}else{
						
					}
					
					
					if(vDiv=='bloquedet' && RowArray==NJsonItem-1){
						Detalle+='<a href="javascript:guardardetalle(\''+oJsonDatos.Datos[RowArray].nommod.trim()+'\',\''+iDet+'\',\''+RowArray+'\',\'c0\')">+ Agregar Item</a>';
						Detalle+="<div id='det_prod' class='form-msg'>...</div>"
					}	
			}
			DetalleM+='<br>Luego de click en el icono <span class="icon-save" ></span>';
			DetalleB+='<a href="javascript:limpiar(\'' + sessionStorage.getItem("modulo") + '\');" id="bnuevo"><div class="circulo_sup"><span class="icon-circle-with-plus" ></span></div></a>'
			if(tAcc!="l"){
				DetalleB+='<a href="javascript:rmodulo(\'' + sessionStorage.getItem("modulo") + '\',\'' + tCampo + '\',\'' + tId + '\',\''+tAcc+'\',\'\',\'\',\'\',\''+sessionStorage.getItem("tipo")+'\');" id="bguardar"><div class="circulo_sup"><span class="icon-save" ></span></div></a>'
			}         
		   
	
			Detalle+="</div>";	
		}else{
			Detalle+="</div>";
			
			DetalleB+='<a href="javascript:limpiar(\'' + sessionStorage.getItem("modulo") + '\');" id="bnuevo"><div class="circulo_sup"><span class="icon-circle-with-plus" ></span></div></a>'
			if(tAcc!="l"){
				DetalleB+='<a href="javascript:rmodulo(\'' + sessionStorage.getItem("modulo") + '\',\'' + tCampo + '\',\'' + tId + '\',\''+tAcc+'\',\'\',\'\',\''+sessionStorage.getItem("tipo")+'\');" id="bguardar"><div class="circulo_sup"><span class="icon-save" ></span></div></a>'
			}
			
			
				
			alert("no registro");
			
	    }
	}else{
		DetalleB+='<a href="javascript:limpiar(\'' + sessionStorage.getItem("modulo") + '\');" id="bnuevo"><div class="circulo_sup"><span class="icon-circle-with-plus" ></span></div></a>'
			if(tAcc!="l"){
				DetalleB+='<a href="javascript:rmodulo(\'' + sessionStorage.getItem("modulo") + '\',\'' + tCampo + '\',\'' + tId + '\',\''+tAcc+'\',\'\',\'\',\''+sessionStorage.getItem("tipo")+'\');" id="bguardar"><div class="circulo_sup"><span class="icon-save" ></span></div></a>'
			}
			
		document.getElementById("detcuerpo").innerHTML="Modulo invalido"+'</div><div id="reporte" style="background-color:white;"></div>';
    }
	if(VGrol=='empleado'){
		DetalleB+='<a href="javascript:cmodulo(\'' + sessionStorage.getItem("modulo") + '\',\'' + vC + '\',\'' + vC + '\',\'g\',\''+vGtam+'\',\''+vGcampoi+'\',\''+vGcampof+'\');" id="bnuevo">	<div class="circulo_sup"><span class="icon-circle-with-plus" ></span></div></a>'
			DetalleB+='<a href="javascript:rmodulo(\'' + sessionStorage.getItem("modulo") + '\',\'' + tCampo + '\',\'' + tId + '\',\''+tAcc+'\');" id="bguardar"><div class="circulo_sup"><span class="icon-save" ></span></div></a>'
            DetalleB+='<a href="javascript:imodulo(\'' + sessionStorage.getItem("modulo") + '\',\'' + vC + '\',\'' + vC + '\',\'' + vC + '\');" id="blistar"><div class="circulo_sup"><span class="icon-list" ></span></div></a>'

			tMod=vGmodulo;	
	}
	if(sessionStorage.hasOwnProperty("id")){
		sessionStorage.removeItem("id")
	}
	if(sessionStorage.hasOwnProperty("accion")){
		sessionStorage.removeItem("accion")
	}
	if(sessionStorage.hasOwnProperty("tcampo")){
		sessionStorage.removeItem("tcampo")
		
	}
	Detalle=rpt_textos(Detalle);
	DetalleT=rpt_textos(DetalleT);
	DetalleSup="<div class='superior'><div id='sup_izquierda' class='sup_izquierda'>"+DetalleT+"</div><div id='sup_derecha' class='sup_derecha'></div></div>"
	Detalle+='<div id="reporte" style="background-color:white;"></div>'
	Detalle+='<div id="mimodal" class="mdsearch"><table id="table"></table></div>'
	Detalle+="<div id='div_tabla' class='bloqueh'>..</div><div id='mdi_resumen' class='bloqueh'>..</div></div>"
		
	vJfunciones+="]}";
	if(tAcc=="e" ){
		sessionStorage.setItem("accion",'e')
		sessionStorage.setItem("tid",tId)
		sessionStorage.setItem("tcampo",tCampo)
	}
	
	
	console.log(Detalle+DetalleB)
	document.getElementById("mdi_tablero").innerHTML='<div class="mdi_botones" id="mdi_botones">'+DetalleSup+'</div>'+Detalle;
	document.getElementById("sup_izquierda").innerHTML=DetalleT;
	document.getElementById("sup_derecha").innerHTML=DetalleB;

	console.log(DetalleT)
	console.log(Detalle)
	
	document.getElementById("mdi_tablero").style.height="100%"//estaba en 80% al 11-01-2023
	if(localStorage.getItem("Codempresa")=='DND' || localStorage.getItem("Codempresa")=='LUCKY' || localStorage.getItem("Codempresa")=='UT_ODONTOMEDIC' || localStorage.getItem("Codempresa")=='ECOS22' ){
		elem=document.getElementsByClassName('bloqueph')
	}else{
		elem=document.getElementsByClassName('bloque')
	}
	elem[0].style.width=vGtam;
	console.log(vJfunciones)
	console.log(vJfunciones.length)
	
	if(vJfunciones.length>15){
		console.log(vJfunciones)
		vGnum=0;
		jGfunciones = JSON.parse(vJfunciones);
		filtrar(jGfunciones.Datos[0].modulo,jGfunciones.Datos[0].objeto,jGfunciones.Datos[0].valor,jGfunciones.Datos[0].condicion,jGfunciones.Datos[0].modalidad,jGfunciones.Datos[0].lost);
	}else{
		if(sessionStorage.getItem('accion')=='e' ){
			console.log("entro")
			setTimeout(lmodulo(sessionStorage.getItem('modulo'),sessionStorage.getItem('tcampo'),sessionStorage.getItem('tid'),sessionStorage.getItem('accion')), 1000);
		}
		
	}
}